Author Topic: SDK Classpath -- Required JAR files for SDK?  (Read 2654 times)

Offline mcolley73

  • Associate
  • **
  • Join Date: Jul 2007
  • Posts: 1
  • Forum Citizenship: +0/-0
SDK Classpath -- Required JAR files for SDK?
« on: 12 Jul 2007 10:56:43 am »
Hi, all.

We have Cognos8 installed. I can hit the p2pd/servlet/dispatch URL, gain a session, etc. I'm curious if anyone familiar with the SDK using java can give me a sample classpath or what jar(s) are needed to begin interacting via the Cognos SDK?  I'm going to be doing dev from my workstation and want to pull the needed files.

Thanks!

Offline Dani

  • Associate
  • **
  • Join Date: Feb 2007
  • Posts: 4
  • Forum Citizenship: +0/-0
Re: SDK Classpath -- Required JAR files for SDK?
« Reply #1 on: 09 Aug 2007 03:03:35 am »
Hi,
you need following .jar files to begin interacting via Cognos SDK.

axis.jar;
axisCognosClient.jar;
commons-discovery.jar;
commons-logging.jar;
jaxrpc.jar;
saaj.jar;
wsdl4j.jar;
xercesImpl.jar;
xml-apis.jar;
dom4j.jar;
xalan.jar

Best of Luck
Dani

Offline Captain

  • Full Member
  • ***
  • Join Date: Oct 2014
  • Posts: 19
  • Forum Citizenship: +0/-0
Re: SDK Classpath -- Required JAR files for SDK?
« Reply #2 on: 26 Jun 2017 03:48:34 am »
Hi,
you need following .jar files to begin interacting via Cognos SDK.

axis.jar;
axisCognosClient.jar;
commons-discovery.jar;
commons-logging.jar;
jaxrpc.jar;
saaj.jar;
wsdl4j.jar;
xercesImpl.jar;
xml-apis.jar;
dom4j.jar;
xalan.jar

Best of Luck
Dani

wsdl4j.jar is not provided in the Cognos installation folder. Does anyone know why or where to find?

Offline MFGF

  • Never knowingly correct
  • Super Moderator
  • Statesman
  • ******
  • Join Date: Jul 2005
  • Posts: 9,864
  • Forum Citizenship: +597/-9
  • Cognos Software Muppet
Re: SDK Classpath -- Required JAR files for SDK?
« Reply #3 on: 26 Jun 2017 04:06:15 am »
wsdl4j.jar is not provided in the Cognos installation folder. Does anyone know why or where to find?

Hi,

This is a pretty old post, and lists the JAR files for an obsolete version of Cognos BI. I just checked in my 10.2.2 install, and the sdk\lib folder has wsdl4j-1.5.1.jar in it. I'm guessing this is the more modern replacement?

MF.
Meep!

 


       
Twittear